.contact_form
{
    display:flex;
    flex-direction:column;
    width:100%;
    justify-content: left;
    gap: 40px;
}


.contact-form-row
{
    display: flex;
    flex-direction: row;
    align-items: center;
		width:100%;
}

.contact-form-row1
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    justify-content: center;
    align-items: center;
		width:100%;
}

.gap6percent
{
    gap: 6%;
}

.gap1percent
{
    gap:1%;
}

.gap0px
{
	gap: 0px;
}

.justifyBetween
{
	justify-content: space-between;
}

.justifyCenter
{
	justify-content: center;
}

.form-section
{
    display: flex;
    flex-direction: column;
    width: 100%;
    font-size: clamp(1rem,2vw,1.4rem);
    font-weight: bold;
    gap: 5px;
    row-gap: 0.5em;
}

#id_spaceTypeStandard,#id_partStandard,#id_envStandard
{
    display:flex;
    justify-content: left;
    width:100%;
    flex-wrap: wrap;
    column-gap: 5%;
    row-gap: 0.5em;
}
#id_spaceTypeStandard label ,#id_partStandard label,#id_envStandard label
{
    display: flex;
    align-items: center;
    gap: 5px;
    white-space: nowrap;
}

#id_spaceTypeStandard input[type="checkbox"],#id_partStandard input[type="checkbox"],#id_envStandard input[type="checkbox"]
{
    width: 1em;
    height: 1em;
    margin: 0;
    vertical-align: middle;
}

input
{
    width: 100%;
    height: clamp(1.4rem,3vw,2.4rem);
    font-size: clamp(1rem,2vw,1.4rem);
    border-radius: 7px;
}


input.first
{
    width: 10%;
}

input.second
{
    width: 15%;
}

input[type=submit]
{
    width: clamp(10rem,80vw,20rem);
    height: clamp(2rem,6vh,3rem);
    color: white;
    background-color: #117df2;
}

label
{
    display: block;
}

input[type=checkbox]
{
    max-height: 20px;
    max-width: 20px;
}

.inline_label
{
    display: block;
    font-size: 1rem;
}

textarea[name=mensaje]
{
   width:100%;
   font-size: 1rem;
   resize: none;
   border-radius: 4px;
}

input[type=submit]:hover
{
	box-shadow: 0 0 0 2px rgba(17, 125, 212, 0.7);
}


.formSectionWidth
{
    width: clamp(200px,25%,400px);
}

@media (max-width: 768px) {
    input[type=submit]
    {
        width: clamp(10rem,80vw,14rem);
        height: clamp(2rem,3vh,2.4rem);
        align-self: center;
    }
}

@media (orientation: portrait)
{
    input[type=submit]
    {
        width: clamp(10rem,80vw,14rem);
        height: clamp(2rem,3vh,2.4rem);
        align-self: center;
    }
}

